{% extends 'base/base.html' %}

{% load static %}

{% block page_content %}
   <form method="POST" class="form-inline">
       {% csrf_token %}
        <div class="col-xl-10 col-md-10 mb-12">
            
            {% if obj %}      
                <div class="card border-left-warning shadow h-100 py-2">
            {% else %}
                <div class="card border-left-success shadow h-100 py-2">
            {% endif %}
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                {% if obj %} Editar {% else %} Nuevo {% endif %} Empleado
                            </div>                        
                            <div class="dropdown-divider"></div>  
                            
                            <div class="col mb-3">
                                <div class="card">
                                    <img src="{% static 'base/img/empleados-pinos.svg' %}" class="card-img-top" alt="..." height="120px">
                                    <div class="card-body">
                                      <h5 class="card-title text-md-center">Empleados Registrados - Presidencia Municipal</h5>
                                      <!-- <p class="card-text">Toby es un perro muy jugueton y fuerte. Le gusta pasear todas las mañanas
                                        y conocer nuevos amigos para convivir con ellos</p> -->
                                      <!-- <a href="#" class="btn btn-primary">Vamos...</a> -->
                                    </div>
                                </div>
                            </div>
                            
                            <!-- fila 1 -->
                            <div class="row mb-3">
                                <div class="col-md-4 text-uppercase font-weight-bold">
                                    {{ form.nombre.label }}:
                                    <div class="input-group">                                        
                                        {{ form.nombre }}
                                    </div>
                                </div>
                                <div class="col-md-4 text-uppercase font-weight-bold">                                    
                                    APELLIDO PATERNO:
                                    <div class="input-group">
                                        {{ form.ap_paterno }}
                                    </div>
                                </div>
                                <div class="col-md-4 text-uppercase font-weight-light">
                                    {{ form.ap_materno.label }}:
                                    <div class="input-group">
                                        {{ form.ap_materno }}
                                    </div>
                                </div>
                            </div>

                            <!-- fila 2 -->
                            <div class="row mb-3">
                                <div class="col-md-4 text-uppercase font-weight-bold">
                                    {{ form.tipo_de_empleado.label }}:
                                    <div class="input-group">
                                        {{ form.tipo_de_empleado }}
                                    </div>
                                </div>

                                <div class="col-md-4 text-uppercase font-weight-light">
                                    {{ form.domicilio.label }}:
                                    <div class="input-group">
                                        {{ form.domicilio }}
                                    </div>
                                </div>
                                
                                <div class="col-md-4 text-uppercase font-weight-light">
                                    {{ form.telefono.label }}:
                                    <div class="input-group">
                                        {{ form.telefono }}
                                    </div>
                                </div>
                                
                            </div>

                            <!-- fila 3 -->
                            <div class="row mb-3">
                                <div class="col-md-4 text-uppercase font-weight-bold">
                                    {{ form.genero.label }}:
                                    <div class="input-group">
                                        {{ form.genero }}
                                    </div>
                                </div>

                                <div class="col-md-4 text-uppercase font-weight-bold">                                    
                                    ESTADO:
                                    <div class="input-group">
                                        {{ form.status }}
                                    </div>
                                </div>

                                <div class="col-md-4 text-uppercase font-weight-bold">
                                    {{ form.departamento.label }}:
                                    <div class="input-group">
                                        {{ form.departamento }}
                                    </div>
                                </div>                                
                            </div>

                            <!-- fila 4 -->
                            <div class="row mb-3">
                                <div class="col-md-6 text-uppercase font-weight-bold">
                                    {{ form.puesto.label }}:
                                    <div class="input-group">
                                        {{ form.puesto }}
                                    </div>
                                </div>
                                <div class="col-md-6 text-uppercase font-weight-light">
                                    {{ form.sueldo.label }}:
                                    <div class="input-group">
                                        {{ form.sueldo }}
                                    </div>
                                </div>
                            </div>
                            
                            <!-- {{ form.as_p }} -->
                            <div class="dropdown-divider"></div>
                            <div class="row mt-3">
                                <div class="col-2"></div>

                                <div class="col-4">
                                    <button type="submit" class="btn btn-danger btn-block">
                                        <span class="fa fa-save"></span> Guardar
                                    </button>
                                </div>

                                <div class="col-4">                                    
                                    <a href="{% url 'apoyos:empleados_list' %}" class="btn btn-success btn-block">                                                                               
                                        <span class="fa fa-undo"></span> Cancelar                                         
                                    </a>                                  
                                </div>
                                    
                                <div class="col-2"></div>                                                                       
                            </div>                                                
                            
                        </div>                        
                    </div>
                </div>
            </div>
        </div>
   </form>  
{% endblock page_content %}    
{% block js_page %} {% endblock js_page %}
    